import { EventFormatter } from "laravel-echo/dist/util/event-formatter";
import { Channel } from "laravel-echo/dist/channel/channel";
/**
 * This class represents a null channel.
 */
export class SseChannel extends Channel {
    /**
     * Create a new class instance.
     */
    constructor(eventSource, name, options) {
        super();
        /**
         * The event callbacks applied to the channel.
         */
        this.events = {};
        this.name = name;
        this.options = options;
        this.eventSource = eventSource;
        this.eventFormatter = new EventFormatter(this.options.namespace);
    }
    /**
     * Listen for an event on the channel instance.
     */
    listen(event, callback) {
        this.events[event] = callback;
        this.eventSource.addEventListener(event, callback());
        return this;
    }
    /**
     * Stop listening for an event on the channel instance.
     */
    stopListening(event) {
        this.eventSource.removeEventListener(event, this.events[event]);
        return this;
    }
}
