import { Connector } from 'laravel-echo/dist/connector';
import { SseChannel } from "../channel/sse-channel";
import { SsePresenceChannel } from "../channel/sse-presence-channel";
/**
 * This class creates a null connector.
 */
export declare class SseConnector extends Connector {
    /**
     * All of the subscribed channel names.
     */
    channels: any;
    eventSource: EventSource;
    eventSourceId: string;
    /**
     * Create a fresh connection.
     */
    connect(): void;
    /**
     * Listen for an event on a channel instance.
     */
    listen(name: string, event: string, callback: Function): SseChannel;
    /**
     * Get a channel instance by name.
     */
    channel(channel: string): SseChannel;
    /**
     * Get a private channel instance by name.
     */
    privateChannel(channel: string): SseChannel;
    /**
     * Get a presence channel instance by name.
     */
    presenceChannel(channel: string): SsePresenceChannel;
    /**
     * Leave the given channel, as well as its private and presence variants.
     */
    leave(channel: string): void;
    /**
     * Leave the given channel.
     */
    leaveChannel(channel: string): void;
    /**
     * Get the socket ID for the connection.
     */
    socketId(): string;
    /**
     * Disconnect the connection.
     */
    disconnect(): void;
}
